summaryrefslogtreecommitdiffstats
path: root/testing/boost-coroutine
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2011-04-20 03:39:27 +0000
committerAndrew Manison <amanison@anselsystems.com>2011-04-20 03:39:27 +0000
commit9a2ff063f6ba0dcec5b6a40e3a6cccc04fcceed3 (patch)
tree4a2365a18cfc123567f122dbb0510795ca4341ba /testing/boost-coroutine
parent3a40028e50c4e6ab82135d469de4ae8ccb32f7d3 (diff)
parent983a11e3031ce51a0c7b0ded0d48713d48474522 (diff)
downloadaports-9a2ff063f6ba0dcec5b6a40e3a6cccc04fcceed3.tar.bz2
aports-9a2ff063f6ba0dcec5b6a40e3a6cccc04fcceed3.tar.xz
Merge remote-tracking branch 'alpine/master'
Conflicts: main/libxft/APKBUILD main/ncftp/APKBUILD main/spandsp/APKBUILD testing/openvcp/APKBUILD
Diffstat (limited to 'testing/boost-coroutine')
-rw-r--r--testing/boost-coroutine/APKBUILD38
-rw-r--r--testing/boost-coroutine/boost-coroutine-pth.patch19
2 files changed, 57 insertions, 0 deletions
diff --git a/testing/boost-coroutine/APKBUILD b/testing/boost-coroutine/APKBUILD
new file mode 100644
index 000000000..9803a3309
--- /dev/null
+++ b/testing/boost-coroutine/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=boost-coroutine
+pkgver=0.0.1
+pkgrel=2
+pkgdesc="coroutine library for boost"
+url="http://www.crystalclearsoftware.com/soc/coroutine/"
+arch="noarch"
+license="custom:boost"
+depends=
+depends_dev="boost-dev pth-dev"
+install=""
+source="saveas-http://www.boostpro.com/vault/index.php?action=downloadfile&filename=boost-coroutine-2009-12-01.tar.gz&directory=Concurrent%20Programming/boost-coroutine-2009-12-01.tar.gz
+ boost-coroutine-pth.patch"
+
+_builddir="${srcdir}/boost-coroutine"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/include
+ cp -r "$_builddir"/boost "$pkgdir"/usr/include/boost
+}
+
+md5sums="9837f5f2024dfc4da68bf62e0aab529a boost-coroutine-2009-12-01.tar.gz
+53d3c4752668f0332dc31bd2341db609 boost-coroutine-pth.patch"
diff --git a/testing/boost-coroutine/boost-coroutine-pth.patch b/testing/boost-coroutine/boost-coroutine-pth.patch
new file mode 100644
index 000000000..3a6af66af
--- /dev/null
+++ b/testing/boost-coroutine/boost-coroutine-pth.patch
@@ -0,0 +1,19 @@
+--- boost-coroutine.orig/boost/coroutine/detail/context_posix.hpp
++++ boost-coroutine/boost/coroutine/detail/context_posix.hpp
+@@ -46,13 +46,10 @@
+ #include <boost/config.hpp>
+ #include <boost/assert.hpp>
+
+-#if defined(_XOPEN_UNIX) && defined(_XOPEN_VERSION) && _XOPEN_VERSION >= 500
++#if 1
++#if 1
+
+-// OS X 10.4 -- despite passing the test above -- doesn't support
+-// swapcontext() et al. Use GNU Pth workalike functions.
+-#if defined(__APPLE__) && (__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1050)
+-
+-#include "pth/pth.h"
++#include <pth.h>
+ #include <cerrno>
+
+ namespace boost { namespace coroutines { namespace detail {